/* This is the version of main() for POSIX.2 (getopt) style arguments.  */

#include <stdio.h>
#include "vmsbackup.h"

void
usage (progname)
char *progname;
{
	fprintf(stderr,
	  "Usage:  %s -{tx}[cdevwF][-s setnumber][-f tapefile]\n",progname);
}

extern int optind;
extern char *optarg;

int
main (argc, argv)
int argc;
char *argv[];
{
	char *progname;
	int c;

	progname = argv[0];
	if(argc < 2){
		usage(progname);
		exit(1);
	}

	gargv = argv;
	gargc = argc;

	cflag=dflag=eflag=sflag=tflag=vflag=wflag=xflag=0;
	flag_full = 0;
	tapefile = NULL;

	while((c=getopt(argc,argv,"cdef:s:tvwxF")) != EOF)
		switch(c){
		case 'c':
			cflag++;
			break;
		case 'd':
			dflag++;
			break;
		case 'e':
			eflag++;
			break;
		case 'f':
			tapefile = optarg;
			break;
		case 's':
			sflag++;
			sscanf(optarg,"%d",&selset);
			break;
		case 't':
			tflag++;
			break;
		case 'v':
			vflag++;
			break;
		case 'w':
			wflag++;
			break;
		case 'x':
			xflag++;
			break;
		case 'F':
			/* I'd actually rather have this be --full, but at
			   the moment I don't feel like worrying about
			   infrastructure for parsing long arguments.  I
			   don't like the GNU getopt_long--the interface
			   is noreentrant and generally silly; and it might
			   be nice to have something which synergizes more
			   closely with the VMS options (that one is a bit
			   of a can of worms, perhaps, though) like parseargs
			   or whatever it is called.  */
			flag_full = 1;
			break;
		case '?':
			usage(progname);
			exit(1);
			break;
		};
	goptind = optind;
	if(!tflag && !xflag) {
		usage(progname);
		exit(1);
	}
	vmsbackup ();
}
